Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Interface RequestedProperties

All Known Implementing Classes:
  RequestedPropertiesImpl

public interface RequestedProperties

With this you may find out, if a specific property is wanted by the request.

Version:
  $Revision: 1.6 $

Method Summary
`boolean` | `contains(NodeProperty property)` Checks, if the NodeProperty is a RequestedProperty
`boolean` | `contains(java.lang.String name, java.lang.String namespace)` Checks, if the property identified by name and namespace, is requested
`java.util.Iterator` | `getRequestedProperties()` Method getRequestedProperties
`boolean` | `isAllProp()` Method isAllProp
`void` | `setIsAllProp(boolean isAllProp)` Set whether this is an allProp request or not.

Method Detail

### contains

    public boolean contains(java.lang.String name,
                            java.lang.String namespace)

  Checks, if the property identified by name and namespace, is requested

  Parameters:
    `name` - name of the property to be checked
    `namespace` - namespace of the property to be checked
  Returns:
    true, if property is requested

### contains

    public boolean contains(NodeProperty property)

  Checks, if the NodeProperty is a RequestedProperty

  Parameters:
    `property` - NodeProperty to be checked
  Returns:
    true, if property is requested

### isAllProp

    public boolean isAllProp()

  Method isAllProp

  Returns:
    true, if all properties are requested

### setIsAllProp

    public void setIsAllProp(boolean isAllProp)

  Set whether this is an allProp request or not.

### getRequestedProperties

    public java.util.Iterator getRequestedProperties()

  Method getRequestedProperties

  Returns:
    an Iterator to retrieve all RequestedProperty items
  Throws:
    `java.lang.IllegalStateException` - when isAllProp == true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD